"use strict";
const common_vendor = require("../../common/vendor.js");
const store_index = require("../../store/index.js");
require("../../api/index.js");
require("../../api/request.js");
require("../../config/index.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_uni_popup2 = common_vendor.resolveComponent("uni-popup");
  (_easycom_uni_icons2 + _easycom_uni_popup2)();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_uni_popup = () => "../../uni_modules/uni-popup/components/uni-popup/uni-popup.js";
if (!Math) {
  (mySwiper + _easycom_uni_icons + uniDatetimePicker + uniEasyinput + _easycom_uni_popup)();
}
const uniDatetimePicker = () => "../../uni_modules/uni-datetime-picker/components/uni-datetime-picker/uni-datetime-picker.js";
const uniEasyinput = () => "../../uni_modules/uni-easyinput/components/uni-easyinput/uni-easyinput.js";
const mySwiper = () => "../../components/mySwiper.js";
const _sfc_main = {
  __name: "index",
  setup(__props) {
    const store = store_index.useStore();
    common_vendor.onLoad((e) => {
      var _a;
      if (!((_a = store.userInfo) == null ? void 0 : _a.has_operation)) {
        operation_flag.value = true;
        setTimeout(() => {
          console.log(inputDialog.value);
          inputDialog.value.open();
        }, 0);
      }
    });
    const inputDialog = common_vendor.ref();
    common_vendor.ref();
    const operation_flag = common_vendor.ref(false);
    const lbt_list = common_vendor.ref([
      {
        banner_name: "首页轮播2",
        createtime: 1694851490,
        deletetime: null,
        id: 6,
        image: "http://niunai.zhitou1688.com/uploads/20230922/ea3b3348df5d2b41eb49ddbf86b83516.png",
        is_show: 1,
        type: "index",
        url: "",
        weigh: 6
      },
      {
        banner_name: "首页轮播2",
        createtime: 1694851490,
        deletetime: null,
        id: 6,
        image: "/static/vip2.png",
        is_show: 1,
        type: "index",
        url: "",
        weigh: 6
      }
    ]);
    function toClose() {
      inputDialog.value.close();
    }
    function radioChange(e) {
      console.log(e);
    }
    const single = common_vendor.ref("");
    function maskClick(e) {
    }
    const hValue = common_vendor.ref("");
    common_vendor.ref("");
    function onClickH(e) {
    }
    function toExam() {
      common_vendor.index.navigateTo({
        url: "/pages/index/visionTest"
      });
    }
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          indicatorDots: true,
          isRadius: true,
          height: "160",
          lbt_list: lbt_list.value
        }),
        b: common_vendor.p({
          type: "forward",
          color: "#9bc027",
          size: "20"
        }),
        c: common_vendor.o(toExam),
        d: common_vendor.p({
          type: "forward",
          color: "#ffa2a2",
          size: "20"
        }),
        e: common_vendor.p({
          type: "forward",
          color: "#f9b275",
          size: "20"
        }),
        f: common_vendor.p({
          type: "forward",
          color: "#8fdc8a",
          size: "20"
        }),
        g: common_vendor.o(radioChange),
        h: common_vendor.o(maskClick),
        i: common_vendor.o(($event) => single.value = $event),
        j: common_vendor.p({
          type: "date",
          ["clear-icon"]: false,
          modelValue: single.value
        }),
        k: common_vendor.o(onClickH),
        l: common_vendor.o(($event) => hValue.value = $event),
        m: common_vendor.p({
          suffixIcon: "search",
          focus: true,
          placeholder: "请输入内容",
          modelValue: hValue.value
        }),
        n: common_vendor.o(toClose),
        o: common_vendor.sr(inputDialog, "1cf27b2a-5", {
          "k": "inputDialog"
        }),
        p: common_vendor.p({
          ["is-mask-click"]: false
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-1cf27b2a"], ["__file", "F:/项目2023/视力表/vision-record/pages/index/index.vue"]]);
wx.createPage(MiniProgramPage);
